~ read.

"Segmentation Fault" error with "yum install" or "yum update"

This error seems to be caused by zlib. The solution I've found is to remove the old zlib libraries, and compile them again.

Warning! Do this at your own risk, this may not work for your case!

Remove the old libraries:

rm -rf /usr/local/lib/libz*
rm -rf /usr/local/lib/libxml2*

Download and extract zlib 1.2.3 :

wget http://pkgs.fedoraproject.org/repo/pkgs/zlib/zlib-1.2.3.tar.gz/debc62758716a169df9f62e6ab2bc634/zlib-1.2.3.tar.gz
tar xzf zlib-1.2.3.tar.gz

Compile the new version :

cd zlib-1.2.3
./configure
make
make install